curl --request POST \
--url https://api.yorlet.com/v1/customers/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"country": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"description": "<string>",
"invoice_prefix": "<string>",
"invoicing": {
"arrears_emails": true,
"email_cc": [
"<string>"
],
"email_to": "<string>"
},
"legal": {
"first_name": "<string>",
"last_name": "<string>"
},
"metadata": {},
"name": "<string>",
"next_invoice_sequence": 123,
"phone": "<string>",
"archived": true
}
'import requests
url = "https://api.yorlet.com/v1/customers/{id}"
payload = {
"email": "[email protected]",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"country": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"description": "<string>",
"invoice_prefix": "<string>",
"invoicing": {
"arrears_emails": True,
"email_cc": ["<string>"],
"email_to": "<string>"
},
"legal": {
"first_name": "<string>",
"last_name": "<string>"
},
"metadata": {},
"name": "<string>",
"next_invoice_sequence": 123,
"phone": "<string>",
"archived": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '[email protected]',
address: {
line1: '<string>',
line2: '<string>',
city: '<string>',
country: '<string>',
postal_code: '<string>',
state: '<string>'
},
description: '<string>',
invoice_prefix: '<string>',
invoicing: {arrears_emails: true, email_cc: ['<string>'], email_to: '<string>'},
legal: {first_name: '<string>', last_name: '<string>'},
metadata: {},
name: '<string>',
next_invoice_sequence: 123,
phone: '<string>',
archived: true
})
};
fetch('https://api.yorlet.com/v1/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created": 123,
"object": "customer",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"country": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"default_payment_method": "<string>",
"delinquent": true,
"description": "<string>",
"email": "[email protected]",
"invoice_prefix": "<string>",
"invoicing": {
"arrears_emails": true,
"email_cc": [
"[email protected]"
],
"email_to": "[email protected]"
},
"legal": {
"dob": {
"day": 16,
"month": 6,
"year": 5949
},
"first_name": "<string>",
"last_name": "<string>"
},
"name": "<string>",
"phone": "<string>",
"radar": {
"message": "<string>",
"reason": "<string>",
"risk_level": "<string>"
},
"account": "<string>",
"deleted": false,
"metadata": {}
}Update a customer
Authorizations
API Key authentication. Use "Bearer YOUR_API_KEY".
Path Parameters
The id identifier.
Body
The customer's email address.
The customer's address.
Show child attributes
Show child attributes
An arbitrary description attached to the customer.
The prefix for the customer used to generate unique invoice numbers.
Invoicing preferences for the customer.
Show child attributes
Show child attributes
Legal information about the customer.
Show child attributes
Show child attributes
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Show child attributes
Show child attributes
The customer's full name.
The sequence to be used for the next invoice issued to this customer.
The customer's phone number.
Whether the customer is archived.
Response
Returns the customer object if the update succeeded.
Unique identifier for the object.
Time at which the object was created. Measured in seconds since the Unix epoch.
customer The customer's address.
Show child attributes
Show child attributes
ID of the default payment method for the customer.
Whether the customer has any unpaid or past-due invoices.
An arbitrary description attached to the customer.
The customer's email address.
The prefix for the customer used to generate unique invoice numbers.
Invoicing preferences for the customer.
Show child attributes
Show child attributes
Legal information about the customer.
Show child attributes
Show child attributes
The customer's full name.
The customer's phone number.
Radar's risk assessment of the customer.
Show child attributes
Show child attributes
The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.
Only returned if the object has been deleted.
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Show child attributes
Show child attributes
Was this page helpful?